Subject: Re: linux-next: build failure after merge of the device-mapper tree

From: Mike Snitzer <[email-masked]>
Date: Thu, 3 Mar 2016 22:14:13 -0500

On Thu, Mar 03 2016 at  9:59pm -0500,
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> After merging the device-mapper tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/md/dm.c: In function '__split_and_process_non_flush':
> drivers/md/dm.c:1761:6: error: 'ret' undeclared (first use in this function)
>   if (ret < 0)
>       ^
> 
> Caused by commit
> 
>   f838997d1784 ("dm: return error if bio_integrity_clone() fails in clone_bio()")
> 
> That one is a bit annoying ... clearly not build tested :-(

Yeap, I'll just let that go.

> I have used the device-mapper tree from next-20160303 for today.

Not sure what happened.  I've fixed it.  next-20160303 is fine though
since the bad commit was pushed today.